//Elvtr_Floor
if(isServer)then
{
	_Soundlength = 0.75;
	_MaxSoundChunks = 3;
	_CurrentAudioChunk = 0;
	_SoundConfigArray = [ElvtrCabinMovementSoundPath,Elvtr_Floor,true,getposASL Elvtr_Floor,4,1,20];
	_SoundLastPlayTime = 0;

	_dt = 0.01;
	_v = _this select 0;
	_Limit = _this select 1;
	ElvtrEnabled = true;
	_PreviousTime = time;
	ElevatorHeight = getposASL Elvtr_Floor select 2;
	ElvtrCurrentSpeed = _v;
	[] spawn compileFinal preprocessFile "elvtr\NudgeObjectsInside.sqf";
	publicVariable "ElvtrCurrentSpeed";

	while {((_v > 0) &&  ((getposASL Elvtr_Floor select 2)< _Limit)) || ((_v < 0) &&  ((getposASL Elvtr_Floor select 2) > _Limit))}do
	{
		_dt_real = time - _PreviousTime;
		_PreviousTime = time;
		ElevatorHeight = ElevatorHeight + _v*_dt_real;
		Elvtr_Floor setposASL [getposASL Elvtr_Floor select 0,getposASL Elvtr_Floor select 1,ElevatorHeight];
		[] call  ElvtrRefreshPartPositions;
		publicVariable "ElevatorHeight";
		Elvtr_Floor setVelocity [0,0,_v];
		if(!isDedicated)then
		{
			if(call ElvtrIsPlayerOnElevatorFloor)then
			{
				player setVelocity [0,0,ElvtrPlayerDownSpeed + (ElvtrCurrentSpeed/2)];
			};
		};
		if(time > (_SoundLastPlayTime+_Soundlength))then
		{
			_CurrentAdioPath = ElvtrCabinMovementSoundPath + (str _CurrentAudioChunk) + ".wav";
			_SoundConfigArray set [0,_CurrentAdioPath];
			_SoundConfigArray set [3,getPosASL Elvtr_Floor];
			playSound3D _SoundConfigArray;
			_SoundLastPlayTime = time;
			_CurrentAudioChunk = _CurrentAudioChunk + 1;
			if(_CurrentAudioChunk >= _MaxSoundChunks)then
			{
				_CurrentAudioChunk = 0;
			};
		};
		sleep _dt;
	};
	ElvtrCurrentSpeed = 0;
	publicVariable "ElvtrCurrentSpeed";
};

