if(isServer)then
{
	_v = 0.2;//Relative speed
	_dt = 0.01;//s
	_Floor = _this select 0;
	_ExternalDoors = ElvtrExternalDoors select _Floor;
	_InternalDoorObject = ElevatorParts select ((count ElevatorParts) - 1);
	_ApproachLimit = 0.01;
	_PreviousTime = time;
	_InternalDoorASL = getposASL _InternalDoorObject select 2;
	while {_ExternalDoors distance2D ElvtrExternalDoorStartPosition > _ApproachLimit || ElvtrDoorPosition > 0} do
	{
		sleep _dt;
		_dt_real = time - _PreviousTime;
		_PreviousTime = time;


		if(ElvtrDoorPosition > 0)then
		{
			ElvtrDoorPosition = ElvtrDoorPosition - _v * _dt_real min 1;
			publicVariable "ElvtrDoorPosition";
			_TargetDoorPosition = (ElvtrInternalDoorFinalPosition vectorMultiply ElvtrDoorPosition) vectorAdd (ElvtrInternalDoorStartPosition vectorMultiply (1-ElvtrDoorPosition));
			_TargetDoorPosition = Elvtr_Floor modelToWorld _TargetDoorPosition;
			_TargetDoorPosition set [2,_InternalDoorASL];
			_InternalDoorObject setposASL _TargetDoorPosition;
		};

		_CurrentPosition =  getPosASL _ExternalDoors;
		_CurrentPosition2D = [_CurrentPosition select 0,_CurrentPosition select 1];
		_CurrentDistance = _CurrentPosition2D distance ElvtrExternalDoorStartPosition;
		_True_Step = _v * _dt_real * ElvtrExternalDorRange;

		if(_CurrentDistance < _True_Step)then
		{//Close enought to finish
		  	_ExternalDoors setPosASL ElvtrExternalDoorStartPosition + [_CurrentPosition select 2];
		}
		else
		{
		  	_FinishPosition3D = ElvtrExternalDoorStartPosition + [_CurrentPosition select 2];
		  	_VectorToFinishPosition =  vectorNormalized (_FinishPosition3D vectorDiff _CurrentPosition);
		  	_VectorToFinishPosition =  _VectorToFinishPosition vectorMultiply _True_Step;
		  	_NewPosition = _CurrentPosition vectorAdd _VectorToFinishPosition;
		  	_ExternalDoors setPosASL _NewPosition;
		};
	};
};